# OgreTerrainSceneManager.h File Reference

`#include "OgreTerrainPrerequisites.h"`
`#include "OgreOctreeSceneManager.h"`
`#include "OgreOctreeSceneQuery.h"`
`#include "OgreTerrainRenderable.h"`
`#include "OgreTerrainPageSource.h"`
`#include "OgreIteratorWrappers.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Typedefs

typedef std::vector< TerrainPage * > | TerrainPageRow
typedef std::vector< TerrainPageRow > | TerrainPage2D

## Typedef Documentation

typedef std::vector< TerrainPageRow > Ogre::TerrainPage2D

| Definition at line 53 of file OgreTerrainSceneManager.h.

typedef std::vector< TerrainPage * > Ogre::TerrainPageRow

| Definition at line 50 of file OgreTerrainSceneManager.h.

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 17 15:39:15 2006